Schemas

Schemas or similar data elements from an integration.

Deprecated

List Schemas

get
/api/v1/database/schemas

Warning: This endpoint is deprecated. Please use the List Resources endpoint instead with filter={"operator":"exact","field":"type","value":"schema"}.

Authorizations
Query parameters
integration_idstringOptional

Integration ID

Example: df2c0597-13d9-4159-bb6d-00b3f54235dc
parent_idstringOptional

ID of the database

Example: df2c0597-13d9-4159-bb6d-00b3f54235dc
titlestringOptional

Title of the schema

Example: Sample Schema
Responses
chevron-right
200

List of schemas.

application/json
get
/api/v1/database/schemas

Create Schema

post
/api/v1/database/schemas

Create a new schema. Schema must have one database as a parent, and be associated with an integration.

Authorizations
Body
Responses
post
/api/v1/database/schemas
Deprecated

Get Schema

get
/api/v1/database/schemas/{schema_id}

Warning: This endpoint is deprecated. Please use the List Resources endpoint instead with filter={"operator":"exact","field":"id","value":"your-schema-id"}.

Authorizations
Path parameters
schema_idstringRequired

The ID of the schema to retrieve or update.

Example: df2c0597-13d9-4159-bb6d-00b3f54235dc
Responses
chevron-right
200

Successful response

application/json
idstringOptional

Unique identifier for the schema.

created_atstring · date-timeOptional

The timestamp when the schema was created in Secoda.

updated_atstring · date-timeOptional

The timestamp when the schema was last updated in Secoda.

entity_typestringOptional

The type of the schema.

native_typestringOptional

The native type of the schema as it's referred to in the integration.

iconstringOptional

An optional icon for the schema.

titlestringOptional

The title of the schema.

title_fullstringOptional

The full title of the schema, including its ancestry.

title_casedstringOptional

The title of the schema in title case format.

descriptionstringOptional

Description of the schema.

definitionstringOptional

The markdown documentation of the schema.

definition_versionintegerOptional

Version number of the schema documentation.

multiplayersobject[]Optional

List of users interacting collaboratively on the schema [Not currently in use].

multiplayer_last_modified_bystringOptional

The last user to modify the schema [Not currently in use].

multiplayer_last_modifiedstringOptional

Timestamp of the last modification [Not currently in use].

ownersstring[]Optional

List of User IDs associated with the schema.

owners_groupsstring[]Optional

List of Group IDs associated with the schema.

collectionsstring[]Optional

List of Collection IDs to which the schema belongs.

tagsstring[]Optional

List of Tag IDs associated with the schema.

workspace_idstringOptional

Workspace identifier in which the schema resides.

publishedbooleanOptional

Flag indicating whether the schema is published and visible to Viewers.

archivedbooleanOptional

Flag indicating whether the schema is archived.

archived_atstring · nullableOptional

Timestamp when the schema was archived.

piibooleanOptional

Flag indicating if the schema contains personally identifiable information.

verifiedbooleanOptional

Flag indicating whether the schema has been verified.

urlstringOptional

URL to access the schema on the web.

parentstringOptional

Parent ID of the schema.

children_countintegerOptional

Number of child entities associated with this schema.

bookmarked_bystring[]Optional

List of User IDs who have bookmarked the schema.

integrationstringOptional

Identifier for integration from which the schema was extracted.

external_updated_atstringOptional

The last update timestamp of the schema in the source.

internal_usageintegerOptional

Number of times the schema has been viewed within Secoda.

internal_usersstring[]Optional

List of users who have interacted with the schema in Secoda.

external_usersstring[]Optional

List of users who have interacted with the schema in the source.

external_usageintegerOptional

Number of times the schema has been viewed or queried in the Source.

databuilder_idstringOptional

Unique identifier for the schema.

search_metadataobjectOptional

A set of properties used for indexing in search.

sourcesstring[]Optional

Data sources that augment the schema, such as dbt.

subscribersstring[]Optional

List of users subscribed to updates on the schema.

teamsstring[]Optional

Teams IDs associated with the schema.

stalebooleanOptional

Flag indicating if the schema is considered stale.

stale_atstringOptional

Timestamp indicating when the schema was last marked as stale.

forced_unstale_by_userbooleanOptional

Flag indicating if the stale status of the schema was removed by a user action.

current_user_permissionsstringOptional

Permissions of the current user on the schema.

row_countintegerOptional

The number of rows present in the schema.

byte_sizeintegerOptional

The size of the data used by the dashboard in bytes.

display_metadataobjectOptional

Display-specific metadata for rendering the schema in Secoda.

question_statusstringOptional

Status of the question [Not currently in use for Catalog resources].

question_prioritystring · nullableOptional

Priority level of the question [Not currently in use for Catalog resources].

question_answered_bystring · nullableOptional

User ID of the person who answered the question [Not currently in use for Catalog resources].

question_assigned_tostring · nullableOptional

User ID of the person to whom the question is assigned [Not currently in use for Catalog resources].

get
/api/v1/database/schemas/{schema_id}

Update Schema

patch
/api/v1/database/schemas/{schema_id}

Use this endpoint to update schema metadata.

Authorizations
Path parameters
schema_idstringRequired

The ID of the schema to retrieve or update.

Example: df2c0597-13d9-4159-bb6d-00b3f54235dc
Body
descriptionstringOptional

A description of the resource.

Example: This is a description for a sample table.
definitionstringOptional

Mark down documentation to be added to the resource.

Example: \n# Castae illa\n\n## Finemque aequore\n\nLorem markdownum motus
piibooleanOptional

Indicates whether the resource contains personally identifiable information (PII). Values can be - True False

Example: false
verifiedbooleanOptional

Indicates whether the table has been set as verified. Values can be - True False

Example: true
publishedbooleanOptional

Indicates if the resource is visible to viewers or not. Values can be - True False

Example: true
teamsstring[]Optional

A list of team IDs that the resource belongs to.

Example: ["e8ac09ed-e51e-4e61-8eaf-59942c98c260","cca810f1-11c1-4117-bc23-20ae8020897f"]
ownersstring[]Optional

A list of owner user IDs for the resource.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
collectionsstring[]Optional

A list of collection IDs the resource belongs to.

Example: ["3b2c7185-fb5d-4d94-89d4-3dae08e093a9"]
tagsstring[]Optional

A list of tag IDs associated with the resources.

Example: ["04654d61-4f64-4f08-b697-3915b5137c49","429693a2-a5e7-4525-b413-ece5e96bc5b3"]
subscribersstring[]Optional

A list of the added user IDs that have been subscribed to the resource. Anyone subscribed will be notified of any changes.

Example: ["c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
Responses
chevron-right
200

Schema updated successfully

application/json
idstringOptional

The unique identifier of the resource.

Example: d935a76c-2125-4c30-9389-ef42fa7e23bb
created_atstring · date-timeOptional

The timestamp when the resource was created in Secoda in UTC format.

Example: 2023-08-16T23:12:53.245493Z
updated_atstring · date-timeOptional

The timestamp when the resource was last updated in Secoda in UTC format.

Example: 2023-08-16T23:12:53.245507Z
entity_typestringOptional

The type of resource in Secoda.

Example: table
native_typestringOptional

The native type of the resource as it is referred to in the integration.

Example: Dataset
bookmarked_bystring[]Optional

List of member IDs that have bookmarked the resource.

Example: ["d935a76c-2125-4c30-9389-ef42fa7e23bb","33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
iconstringOptional

The icon associated with the resource.

Example: icon-url.png
titlestringOptional

The title of the resource.

Example: Sample Table
title_fullstringOptional

The full title of the resource, including its ancestry.

Example: Sample Database.Sample Schema.Sample Table
title_casedstringOptional

The title in a cased format.

Example: sampleTable
descriptionstringOptional

A description of the resource.

Example: This is a description for a sample table.
definitionstring · markdownOptional

The documentation of the resource, written in Mark Down format.

definition_versionintegerOptional

The version of the resource's documentation.

Example: 1
multiplayersstring[]Optional

List of members who have opened or worked with the resource recently.

Example: ["429693a2-a5e7-4525-b413-ece5e96bc5b3","f71585fa-251c-4102-8d81-c97c57c8d435"]
multiplayer_last_modified_bystringOptional

The last member who modified this resource.

Example: 429693a2-a5e7-4525-b413-ece5e96bc5b3
multiplayer_last_modifiedstring · date-timeOptional

The timestamp when the multiplayer was last modified in UTC format.

Example: 2023-08-16T23:12:53.245507Z
ownersstring[]Optional

List of owner IDs for the resource.

Example: ["429693a2-a5e7-4525-b413-ece5e96bc5b3","f71585fa-251c-4102-8d81-c97c57c8d435"]
owners_groupsstring[]Optional

List of owner group IDs for the resource.

Example: ["3b2c7185-fb5d-4d94-89d4-3dae08e093a9"]
collectionsstring[]Optional

List of IDs representing the collection(s) that the resource has been added to.

Example: ["e8ac09ed-e51e-4e61-8eaf-59942c98c260"]
tagsstring[]Optional

List of tag IDs added to the resource.

Example: ["f7466f09-33bf-4ac2-9ff2-165fb4b8bdc2","a17f4ed0-0e5a-45a9-92c0-6c93c0b8242c"]
workspace_idstringOptional

The ID of the workspace.

Example: f71585fa-251c-4102-8d81-c97c57c8d435
total_usageintegerOptional

The total usage count for the resource.

Example: 483
publishedbooleanOptional

Indicates if the resource is published and can be seen by Viewers.

Example: false
archivedbooleanOptional

Indicates if the resource is deleted.

Example: false
piibooleanOptional

Indicates if the resource contains Personally Identifiable Information (PII). Values can be - True False

Example: true
verifiedbooleanOptional

Indicates if the resource is verified. Values can be - True False

Example: false
urlstringOptional

The URL associated with the resource.

Example: https://example.com/sample-table
parentstringOptional

The parent resource's ID.

Example: df2c0597-13d9-4159-bb6d-00b3f54235dc
children_countintegerOptional

The count of children entities of the resource.

Example: 2
integrationstringOptional

The integration ID associated with the resource.

Example: ca529385-fbc9-4934-afae-e372affe795b
external_updated_atstring · date-timeOptional

The timestamp of the last update for the resource in the source.

Example: 2023-08-16T23:12:53.245507Z
internal_usageintegerOptional

The internal usage count for the resource.

Example: 3
internal_usersstring[]Optional

List of internal user IDs for the resource.

Example: ["04654d61-4f64-4f08-b697-3915b5137c49"]
external_usersstring[]Optional

List of external user IDs for the resource extracted from the integration.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0"]
external_usageintegerOptional

The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource.

Example: 38
databuilder_idstringOptional

The databuilder ID associated with the resource. This is a generated field.

Example: b818280a-ae1a-43bf-90d3-dbccf812b025.x68605bd2
search_metadataobjectOptional

Metadata related to indexing the resource for optimizing search.

Example: {"cluster":"glue","database":"awsdatacatalog","schema":"secoda-glue","type":"table"}
sourcesstring[]Optional

List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT.

Example: ["8a3af948-026c-45d6-983d-3873f6156f86"]
subscribersstring[]Optional

List of User IDs who subscribe to the resource.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
teamsstring[]Optional

List of team IDs associated with the resource.

Example: ["8680f886-97d2-4f4e-92c8-c80b46a3017d"]
stalebooleanOptional

Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction.

Example: false
patch
/api/v1/database/schemas/{schema_id}

Last updated

Was this helpful?